<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>
  <xsl:include href="common.xsl"/>

    <!-- set mode to cd/web/wiki depending on where the files will end up -->
  <xsl:variable name="mode">cd</xsl:variable>

  <xsl:template match="TutorialList">
    <html>
      <head>
	<title><xsl:apply-templates select="Title/Text"/></title>
      </head>
      <body>
	<h2><xsl:apply-templates select="Title/Text"/></h2>
	<h3><xsl:apply-templates select="SupplementaryText/Text[@id='current']"/><xsl:text> </xsl:text><xsl:value-of select="Version/@current"/></h3>
	<p><a href="all_tutorials.html"><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='print']"/></a>
	<xsl:if test="$mode='wiki'"><xsl:text> </xsl:text><xsl:call-template name="WikiLink"/></xsl:if>
	</p>
	<xsl:apply-templates select="Comment"/>
	<dl>
	  <xsl:apply-templates select="Tutorial[not(@hidden)]"/>
	</dl>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="Tutorial">
    <dt><a href="{@id}.htm"><xsl:apply-templates select="Title/Text"/></a></dt>
    <dd><xsl:for-each select="Content/Heading">
	<xsl:apply-templates/><br/>
      </xsl:for-each>
    </dd>
  </xsl:template>
    
</xsl:stylesheet>
